var ZK = 
{
    extend : function()
    {
	    // inline overrides  
	    var io = function(o)
	    {
		    for ( var m in o)
		    {
			    this[m] = o[m];
		    }
	    };
	    var oc = Object.prototype.constructor;

	    return function(sb, sp, overrides)
	    {
		    if (typeof sp == 'object')
		    {
			    overrides = sp;
			    sp = sb;
			    sb = overrides.constructor != oc ? overrides.constructor : function()
			    {
				    sp.apply(this, arguments);
			    };
		    }
		    var F = function()
		    {
		    }, sbp, spp = sp.prototype;
		    F.prototype = spp;
		    sbp = sb.prototype = new F();
		    sbp.constructor = sb;
		    sb.superclass = spp;
		    if (spp.constructor == oc)
		    {
			    spp.constructor = sp;
		    }
		    sb.override = function(o)
		    {
			    ZK.override(sb, o);
		    };
		    sbp.override = io;
		    ZK.override(sb, overrides);
		    sb.extend = function(o)
		    {
			    ZK.extend(sb, o);
		    };
		    return sb;
	    };
    }(),

    override : function(origclass, overrides)
    {
	    if (overrides)
	    {
		    var p = origclass.prototype;
		    for ( var method in overrides)
		    {
			    p[method] = overrides[method];
		    }
	    }
    },

    apply : function(o, c, defaults)
    {
	    if (defaults)
	    {
		    // no "this" reference for friendly out of scope calls  
		    ZK.apply(o, defaults);
	    }
	    if (o && c && typeof c == 'object')
	    {
		    for ( var p in c)
		    {
			    o[p] = c[p];
		    }
	    }
	    return o;
    }
};

function getRandomNum()
{
    var random = parseInt(Math.random() * 10000);
    return random;
}

function getBrowserType()
{
	var browserFlag = "";
	 //是否支持html5的cors跨域
    var ieVersion = parseInt($.browser.version.split(".")[0]);
    if (typeof(Worker) !== "undefined")
    {
        browserFlag = "html5";
    }
    //此处判断ie8、ie9
    else if(navigator.userAgent.indexOf("MSIE 8.0")>0 || navigator.userAgent.indexOf("MSIE 9.0")>0)
    {
        browserFlag = "simple";
    }
    else
	{
		browserFlag = "upgradeBrowser";//当前浏览器不支持该功能,请升级浏览器
	}
    return browserFlag;
};
function encodeContent(data){
    return encodeURI(data).replace(/&/g,'%26').replace(/\+/g,'%2B').replace(/\s/g,'%20').replace(/#/g,'%23');
}
function getCanvasContext(canvas){
    var context = null;
    if (typeof window.G_vmlCanvasManager!="undefined") {
        canvas = window.G_vmlCanvasManager.initElement(canvas);
        context = canvas.getContext("2d");
    }else{
        context = canvas.getContext("2d");
    }
    return context
}

function getXMLRequest(){
    var xmlhttp = null;
    if (window.XMLHttpRequest)
    {// code for all new browsers
        xmlhttp=new XMLHttpRequest();
    }
    else if (window.ActiveXObject)
    {// code for IE5 and IE6
        xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
    }
    return xmlhttp;
}